Update Screenshot Settings
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: 'f0ad9ad9-d421-48dc-868d-9760e33e5089',
screenshotSettings: {
enableScreenCapture: true,
enableBlurScreenCapture: false,
screenCaptureIntervalMinutes: 1
}
})
};
fetch('https://api.trackpilots.com/v1/settings/screenshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.trackpilots.com/v1/settings/screenshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"screenshotSettings": {
"enableScreenCapture": true,
"enableBlurScreenCapture": false,
"screenCaptureIntervalMinutes": 1
}
}
'import requests
url = "https://api.trackpilots.com/v1/settings/screenshot"
payload = {
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"screenshotSettings": {
"enableScreenCapture": True,
"enableBlurScreenCapture": False,
"screenCaptureIntervalMinutes": 1
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Screenshot settings updated successfully",
"error": null,
"data": {
"userID": "8126cc3e-ca66-4c02-83f5-06273452120d",
"screenshotSettings": {
"enableScreenCapture": true,
"enableBlurScreenCapture": false,
"screenCaptureIntervalMinutes": 5
}
}
}Settings
Update Screenshot Settings
PATCH
/
v1
/
settings
/
screenshot
Update Screenshot Settings
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: 'f0ad9ad9-d421-48dc-868d-9760e33e5089',
screenshotSettings: {
enableScreenCapture: true,
enableBlurScreenCapture: false,
screenCaptureIntervalMinutes: 1
}
})
};
fetch('https://api.trackpilots.com/v1/settings/screenshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.trackpilots.com/v1/settings/screenshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"screenshotSettings": {
"enableScreenCapture": true,
"enableBlurScreenCapture": false,
"screenCaptureIntervalMinutes": 1
}
}
'import requests
url = "https://api.trackpilots.com/v1/settings/screenshot"
payload = {
"userId": "f0ad9ad9-d421-48dc-868d-9760e33e5089",
"screenshotSettings": {
"enableScreenCapture": True,
"enableBlurScreenCapture": False,
"screenCaptureIntervalMinutes": 1
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Screenshot settings updated successfully",
"error": null,
"data": {
"userID": "8126cc3e-ca66-4c02-83f5-06273452120d",
"screenshotSettings": {
"enableScreenCapture": true,
"enableBlurScreenCapture": false,
"screenCaptureIntervalMinutes": 5
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
